	$(document).ready(function() { 
	    var isFinished = true;
	    var options = { 
	        
	        success: showResponse,  
	        async: false,      
	        type:      "post",
	        dataType:  "json",
	        data: { "ajaxForm": 1}
	       
	    }; 
	 
	    // bind to the form"s submit event 
	    $("#contactForm form").submit(function() { 
	        
	        
	        if (isFinished)
	        {
	        	//$("input[type=submit]").attr("disabled","disabled");
	        	
	        	$("#contactForm input[type=submit]").after("<div class=\"submitLoader\"></div>");
	        	
	        	
	        	isFinished = false;
	        	
	        	$(this).ajaxSubmit(options); 
	        	
	        	//Restore Default
	        	isFinished = true;
	        	$("#contactForm .submitLoader").remove();
	        	//$("input[type=submit]").removeAttr("disabled");
	        	
	        	
	        }
	        else
	        	return false;
	         
	        return false; 
	    }); 
	}); 
	
	function showResponse(response)  { 
   		//alert(response);
   		
   		//Remove all
   		$("#contactForm .errorText").remove();
   		$("#contactForm #successMessage").remove();
   		
	   	if (response.successMessage !== "")
	   	{
	   		if (response.redirection[0] == true)
	   			location.href = response.redirection[1];
	   		
	   		//Display success message
	   		var successText = $("<div id=\"successMessage\" >"+ response.successMessage +"</div>").hide();
	   		$("#contactForm .body").prepend(successText);
	   		successText.slideDown();
	   		
	   		$("#contactForm form")[0].reset();
	   		
	   		var timestamp = new Date().getTime();
	   		$("#contactForm #captchaImg").attr("src", $("#captchaImg").attr("src")+"?"+timestamp);
	   		$("#contactForm #captcha").val("");
	   		
	   		//Scroll to success message
	   		$("html, body").animate({
			        scrollTop: $("#contactForm #successMessage").first().offset().top - ($(window).height()/2)
			}, 800);
	   	}
	   	else
	   	{
	   	
   			//Display Errors
	   		var counter = 0;
			$("#contactForm .field").each(function() {
				  
        		    var errorText;
			    if (response.errorMessage[counter] !== "")
			    	     errorText = $("<div class=\"errorText\">" + response.errorMessage[counter] + "</div>").hide();
			    
			    $(this).append(errorText); 
						 
				    counter++;
			});
			
			$("#contactForm .errorText").slideDown();
		
		
	   		//scroll to first error
	   		$("html, body").animate({
			        scrollTop: $("#contactForm .errorText").first().offset().top - ($(window).height()/2)
			}, 800);
			
			//Reload Captcha
	   		var timestamp = new Date().getTime();
	   		$("#contactForm #captchaImg").attr("src", $("#captchaImg").attr("src")+"?"+timestamp);
	   		$("#contactForm #captcha").val("");
   		
	   	}
   		
   		
   		//$("input[type=submit]").removeAttr("disabled");
	   
	}